Summary:     Perl module implementing an alternative interface to File::Find
Name:         perl-File-Find-Rule
Version:     0.34
Release:     7%{?dist}
License:     GPL+ or Artistic
URL:         https://metacpan.org/release/File-Find-Rule
Source0:     https://cpan.metacpan.org/authors/id/R/RC/RCLAMP/File-Find-Rule-%{version}.tar.gz

BuildRequires: make perl-interpreter perl-generators perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Find) perl(File::Spec) perl(Number::Compare) perl(Text::Glob) perl(Test::More)
BuildArch:     noarch

%description
File::Find::Rule is a friendlier interface to File::Find.  It allows you to build rules which
specify the desired files and directories.

%prep
%autosetup -n File-Find-Rule-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1
%make_build

%install
%make_install
chmod -R u+w %{buildroot}/*

%check
make test

%files
%doc Changes
%{_bindir}/findrule
%{perl_vendorlib}/File
%{_mandir}/man1/*
%{_mandir}/man3/*

%changelog
* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.34-7
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.34-6
- Rebuilt for loongarch release

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.34-5
- Rebuilt for OpenCloudOS Stream 23.09

* Tue Aug 15 2023 Xiaojie Chen <jackxjchen@tencent.com> - 0.34-4
- Remove perl(:MODULE_COMPAT) which will be generated by perl-generators >= 1.15

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.34-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.34-2
- Rebuilt for OpenCloudOS Stream 23

* Thu Feb 16 2023 Shuo Wang <abushwang@tencent.com> - 0.34-1
- initial build
